Subject: Re: [PATCH net] sfc: ef10: don't overwrite offload features at NIC reset

From: Jakub Kicinski <[email-masked]>
Date: Wed, 22 Mar 2023 11:23:49 -0700

On Wed, 22 Mar 2023 07:47:42 +0100 Íñigo Huguet wrote:
> > Could you clarify what checks were removed?  All I can see is the
> >  'NETIF_F_TSO6 requires NETIF_F_IPV6_CSUM' check, and Siena already
> >  supported NETIF_F_IPV6_CSUM (it's only Falcon that didn't).
> > Or are you also referring to some items moving from efx.c to the
> >  definition of EF10_OFFLOAD_FEATURES?  That's fine and matches more
> >  closely to what we do for ef100, but again the commit message could
> >  explain this better.
> > In any case this should really be two separate patches, with the
> >  cleanup part going to net-next.
> > That said, the above is all nit-picky, and the fix looks good, so:
> > Acked-by: Edward Cree <[email-masked]>
> 
> Hi. Kindly asking about the state of this patch, it is acked since 2
> weeks ago and it appears in patchwork as "changes requested". Is there
> something else I need to do? Thanks!

The commit message needs to be beefed up to answer all questions Ed had.